Updates attributes for an existing user in Perk, overwriting values for specified attributes. Attributes that are not provided in the request remain unchanged.
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Modifies attributes for an existing user in Perk, overwriting values for the attributes you specify. Attributes you don't include in the request stay unchanged.
The PATCH request body follows the SCIM specification.
Perk supports these operations:
addremovereplace
For array attributes, Perk supports only the eq filter.
For example:
"path": 'phoneNumbers[type eq "work"].value'
WarningThese required fields must not be null or empty:
userName,name.givenName,name.familyName, andactive.
Example request bodies:
{
"schemas":"urn:ietf:params:scim:api:messages:2.0:PatchOp",
"Operations":[
{
"op":"add",
"path":"manager",
"value":{
"value":"1233"
}
},
{
"op":"add",
"path":"title",
"value":"Engineer"
},
{
"op":"remove",
"path":"phoneNumbers"
},
{
"op":"replace",
"path":"emergencyContact",
"value":{
"name":"Jane Goodie",
"phone":"+34 9874637"
}
}
]
}{
"schemas":"urn:ietf:params:scim:api:messages:2.0:PatchOp",
"Operations":[
{
"op":"replace",
"path":"active",
"value":false
}
]
}{
"schemas":"urn:ietf:params:scim:api:messages:2.0:PatchOp",
"Operations":[
{
"op":"replace",
"path":"company",
"value":"My New Company Name"
}
]
}{
"schemas":"urn:ietf:params:scim:api:messages:2.0:PatchOp",
"Operations":[
{
"op":"replace",
"path":"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User:manager",
"value":{
"value":"4567"
}
}
]
}{
"schemas":"urn:ietf:params:scim:api:messages:2.0:PatchOp",
"Operations":[
{
"op":"replace",
"path":"urn:ietf:params:scim:schemas:extension:travelperk:2.0:User:lineManagerEmail",
"value":"[email protected]"
}
]
}{
"schemas": "urn:ietf:params:scim:api:messages:2.0:PatchOp",
"Operations": [
{
"op": "replace",
"path": "urn:ietf:params:scim:schemas:extension:expense:2.0:User:policyId",
"value": "expense-policy-2"
}
]
}
NoteFor most attributes, the
addoperation behaves the same asreplace. For the multi-valuedinvoiceProfilesandapproversfields,addappends a new value to the list. Theapproversfield is deprecated — usemanager(enterprise extension) orlineManagerEmail(Perk extension) instead.

